MinimServer Forum

Full Version: MinimServer on WD MyBookLive
You're currently viewing a stripped down version of our content. View the full version with proper formatting.
Hello Simon,

I want MinimServer! I've tried in on my Mac and it seems to solve all the problems I found when I tried to use twonky a few years ago - It plays from an image of my iTunes library where most of the tracks are in m4a format, plays a multi-CD recording in the right order(!) displays album art and is reachable from my Sony TV and from BubbleUPNP on my 'phone! Excellent.

Now, I want to run it on a NAS device - I already have a WD MyBookLive from 2011 running Twonky. The processor is a PPC. I have hacked the WD before (in an attempt to get twonky to play nicely...) and downloaded a debian/wheezy version of the Java7 jre. No problem. However on startup on minim via minimserver/bin/startc I get the minim command prompt but also a fatal error in native code. The topmost stack frames in the log file (attached) talk about ohNet

Are there any tests I can do to try and pin down the problem? Is replacement of ohNet likely to help?

Many thanks and regards, Tim Banks.

Edited to attach this: [attachment=641]
(19-11-2014 15:33)Tbanks103 Wrote: [ -> ]Hello Simon,

I want MinimServer! I've tried in on my Mac and it seems to solve all the problems I found when I tried to use twonky a few years ago - It plays from an image of my iTunes library where most of the tracks are in m4a format, plays a multi-CD recording in the right order(!) displays album art and is reachable from my Sony TV and from BubbleUPNP on my 'phone! Excellent.

Now, I want to run it on a NAS device - I already have a WD MyBookLive from 2011 running Twonky. The processor is a PPC. I have hacked the WD before (in an attempt to get twonky to play nicely...) and downloaded a debian/wheezy version of the Java7 jre. No problem. However on startup on minim via minimserver/bin/startc I get the minim command prompt but also a fatal error in native code. The topmost stack frames in the log file (attached) talk about ohNet

Are there any tests I can do to try and pin down the problem? Is replacement of ohNet likely to help?

Many thanks and regards, Tim Banks.

Hi Tim,
Welcome to the MinimServer forum!

Your post doesn't contain an attachment. To attach a file, you need to select the file using New Attachment and then add it by clicking Add Attachment. If you don't click Add Attachment, the file won't be attached.

The ohNet library in the PPC version of MinimServer 0.8.2 is compiled for the newer E500 processor. If your WD NAS has the older E600 processor, you would get the problem that you are reporting (look for SIGILL in the crash report).

For the next release of MinimServer, I have compiled the PPC ohNet library for E600 which should also be compatible with E500. This release is now in final testing and it should be available soon.

Best regards,
Simon
(19-11-2014 16:32)simoncn Wrote: [ -> ]Your post doesn't contain an attachment.
I see... I've edited the original post.

(19-11-2014 16:32)simoncn Wrote: [ -> ]The ohNet library in the PPC version of MinimServer 0.8.2 is compiled for the newer E500 processor. If your WD NAS has the older E600 processor, you would get the problem that you are reporting (look for SIGILL in the crash report).
Yes, it's a SIGILL.

(19-11-2014 16:32)simoncn Wrote: [ -> ]For the next release of MinimServer, I have compiled the PPC ohNet library for E600 which should also be compatible with E500. This release is now in final testing and it should be available soon.

Best regards,
Simon
Super duper. If I understand correctly, there are two PowerPC architectures and my processor (APM82181) conforms to the older non-ISA style. I may not understand this correctly.
I'll be very very happy to get the new release. Thanks for the quick response.
(19-11-2014 16:50)Tbanks103 Wrote: [ -> ]Super duper. If I understand correctly, there are two PowerPC architectures and my processor (APM82181) conforms to the older non-ISA style. I may not understand this correctly.
I'll be very very happy to get the new release. Thanks for the quick response.

It looks like this is a PowerPC 400 (not 600), so the new release might still not work. What is the exact version of Java that you installed?
(19-11-2014 17:36)simoncn Wrote: [ -> ]It looks like this is a PowerPC 400 (not 600), so the new release might still not work. What is the exact version of Java that you installed?

I installed Java using: apt-get install openjdk-7-jre-headless

java -version responds with:
java version "1.7.0_03"
OpenJDK Runtime Environment (IcedTea7 2.1.7) (7u3-2.1.7-1)
OpenJDK Zero VM (build 22.0-b10, interpreted mode)


Regards, Tim.
Reference URL's